import sys
from language_functions import language_functions
from os import listdir
from os.path import isfile, join

folderpath = sys.argv[1]
master_database = sys.argv[2]
files_list = [f for f in listdir(folderpath) if isfile(join(folderpath, f))]

for filename in files_list:
    print filename
    language_functions.update_database_with_input(join(folderpath, filename), master_database)
language_functions.analyze_word_frequency(master_database)