from __future__ import division
import codecs
import numpy as np
import itertools
import codecs
import numpy as np
import matplotlib.pyplot as plt
from scipy import stats
import time as time
import datetime
import sys
import io

def delimit_text(readString, include_digrams=False, include_trigrams = False):
    replacedString = readString.replace(" ","$")
    replacedString = replacedString.replace(".","$")
    replacedString = replacedString.replace(",","$")
    replacedString = replacedString.replace(":","$")
    replacedString = replacedString.replace("-","$")
    replacedString = replacedString.replace("/","$")
    replacedString = replacedString.replace("(","$")
    replacedString = replacedString.replace(")","$")
    replacedString = replacedString.replace("\r","$")
    replacedString = replacedString.replace("\n","$")
    replacedString = replacedString.replace(";","$")
    replacedString = replacedString.replace("\t","$")
    replacedString = replacedString.replace("!","$")
    replacedString = replacedString.replace("[","$")
    replacedString = replacedString.replace("]","$")
    replacedString = replacedString.replace("1","$")
    replacedString = replacedString.replace("2","$")
    replacedString = replacedString.replace("3","$")
    replacedString = replacedString.replace("4","$")
    replacedString = replacedString.replace("5","$")
    replacedString = replacedString.replace("6","$")
    replacedString = replacedString.replace("7","$")
    replacedString = replacedString.replace("8","$")
    replacedString = replacedString.replace("9","$")
    replacedString = replacedString.replace("0","$")
    replacedString = replacedString.replace("%","$")
    replacedString = replacedString.replace("&","$")
    replacedString = replacedString.replace("#","$")
    replacedString = replacedString.replace("\"","$")
    replacedString = replacedString.replace("\'","$")
    replacedString = replacedString.replace("=","$")
    replacedString = replacedString.replace("+","$")
    replacedString = replacedString.replace("<","$")
    replacedString = replacedString.replace(">","$")
    replacedString = replacedString.replace("?","$")
    replacedString = replacedString.replace("^","$")
    replacedString = replacedString.replace("*", "$")
    # replacedString = replacedString.replace("_", "$")
    # replacedString = replacedString.replace("\"", "$")

    merge_words_digrams_trigrams, digrams, trigrams =[],[],[]

    for i in range(0,100):
        replacedString = replacedString.replace("$$","$")
    replacedString = replacedString.lower()
    splitString = replacedString.split('$')
    if include_digrams == True:
        digram_partners = splitString[1::1]
        digrams = [m+' '+n for m,n in zip(splitString,digram_partners)]
        if include_trigrams == True:
            trigram_partners = splitString[2::1]
            trigrams = [m+' '+n+' '+o for m,n,o in zip(splitString,digram_partners,trigram_partners)]
    merge_words_digrams_trigrams = splitString  # + digrams + trigrams
    return replacedString, splitString, merge_words_digrams_trigrams

def delimit_file_text(readString, include_digrams=False, include_trigrams = False):
    replacedString = readString.replace(" ","$")
    replacedString = replacedString.replace(".","$")
    replacedString = replacedString.replace(",","$")
    replacedString = replacedString.replace(":","$")
    replacedString = replacedString.replace("-","$")
    replacedString = replacedString.replace("/","$")
    replacedString = replacedString.replace("(","$")
    replacedString = replacedString.replace(")","$")
    replacedString = replacedString.replace("\r","$")
    replacedString = replacedString.replace("\n","$")
    replacedString = replacedString.replace(";","$")
    replacedString = replacedString.replace("\t","$")
    replacedString = replacedString.replace("!","$")
    replacedString = replacedString.replace("[","$")
    replacedString = replacedString.replace("]","$")
    replacedString = replacedString.replace("%","$")
    replacedString = replacedString.replace("&","$")
    replacedString = replacedString.replace("#","$")
    replacedString = replacedString.replace("\"","$")
    replacedString = replacedString.replace("\'","$")
    replacedString = replacedString.replace("=","$")
    replacedString = replacedString.replace("+","$")
    replacedString = replacedString.replace("<","$")
    replacedString = replacedString.replace(">","$")
    replacedString = replacedString.replace("?","$")
    replacedString = replacedString.replace("^","$")
    replacedString = replacedString.replace("*", "$")
    # replacedString = replacedString.replace("_", "$")
    # replacedString = replacedString.replace("\"", "$")

    merge_words_digrams_trigrams, digrams, trigrams =[],[],[]

    for i in range(0,100):
        replacedString = replacedString.replace("$$","$")
    replacedString = replacedString.lower()
    splitString = replacedString.split('$')
    if include_digrams == True:
        digram_partners = splitString[1::1]
        digrams = [m+' '+n for m,n in zip(splitString,digram_partners)]
        if include_trigrams == True:
            trigram_partners = splitString[2::1]
            trigrams = [m+' '+n+' '+o for m,n,o in zip(splitString,digram_partners,trigram_partners)]
    merge_words_digrams_trigrams = splitString  # + digrams + trigrams
    return splitString

def update_database_with_input(input_text_name, database_name):

    with codecs.open(input_text_name,"r",encoding="utf-8") as f:
        readString = f.read()

    replacedString, splitString, merge_words_digrams_trigrams = delimit_text(readString)
    print float(len(splitString))
    uniqueWords = list(set(merge_words_digrams_trigrams))

    # import the learner's database
    with codecs.open(database_name,"r",encoding="utf-8") as f:
        learnersDatabase = f.read()
    olddict = learnersDatabase.split("\n")  # converts file into list according to line breaks
    olddictCounts = np.zeros((len(olddict)))  # a numpy array storing just the count data from the old dictionary
    for word in range(0, len(olddict)-1):  # goes through line by line and splits according to data type
        olddict[word] = olddict[word].split(", ")
        olddict[word][1] = int(olddict[word][1])  # converts the string data into an integer data type
        olddictCounts[word] = olddict[word][1]  # sets numpy value to the same integer as above line
    olddict_words = [0]*len(olddict)  # creates a single array with just the words from old dict

    for i in range(0, len(olddict)-1):
        olddict_words[i] = olddict[i][0]
    combinedList = olddict_words + uniqueWords
    completeUniques = list(set(combinedList))
    completereadCounts = np.zeros((len(completeUniques)), dtype=int)
    for word in range(0, len(olddict)-1):
        get_index = completeUniques.index(olddict_words[word])
        completereadCounts[get_index] = float(olddict[word][1])

    # scan the new text document and update the dictionary
    readCounts = np.zeros((len(uniqueWords)), dtype=int)
    for unique in range(0, len(uniqueWords)):
        #counter = 0
        get_index = completeUniques.index(uniqueWords[unique])
        for word in range(0, len(merge_words_digrams_trigrams)):
            if uniqueWords[unique] == merge_words_digrams_trigrams[word]:
         #       counter += 1
                completereadCounts[get_index] += 1
            else:
                pass
        #readCounts[unique] = counter
    ranks =list(-np.argsort(completereadCounts,axis=0))
    ranked_words = [x for _,x in sorted(zip(completereadCounts,completeUniques))]
    ranked_counts = sorted(completereadCounts)

    with codecs.open(database_name, "w", encoding="utf-8") as f:
        for word in range(-1,-1*len(completeUniques),-1):
            outputString = unicode(ranked_words[word])
            f.write(outputString+', '+str(ranked_counts[word])+'\r\n')

def analyze(readinput,databaseinput):
    with codecs.open(readinput,"r",encoding="utf-8") as f:
        readString = f.read()

    replacedString, splitString, merge_words_digrams_trigrams = delimit_text(readString)

    uniqueWords = list(set(splitString))

    # import the learner's database
    with codecs.open(databaseinput,"r",encoding="utf-8") as f:
        learnersDatabase = f.read()
    olddict = learnersDatabase.split("\n")  # converts file into list according to line breaks
    olddictCounts = np.zeros((len(olddict)))  # a numpy array storing just the count data from the old dictionary
    for word in range(0, len(olddict)-1):  # goes through line by line and splits according to data type
        olddict[word] = olddict[word].split(", ")
        olddict[word][1] = int(olddict[word][1])  # converts the string data into an integer data type
        olddictCounts[word] = olddict[word][1]  # sets numpy value to the same integer as above line
    olddict_words = [0]*len(olddict)  # creates a single array with just the words from old dict

    for i in range(0, len(olddict)-1):
        olddict_words[i] = olddict[i][0]
    combinedList = olddict_words + uniqueWords
    completeUniques = list(set(combinedList))
    completereadCounts = np.zeros((len(completeUniques)), dtype=int)
    for word in range(0, len(olddict)-1):
        get_index = completeUniques.index(olddict_words[word])
        completereadCounts[get_index] = olddict[word][1]

    # scan the new text document and update the dictionary
    readCounts = np.zeros((len(uniqueWords)), dtype=int)
    oldCounts = np.zeros((len(uniqueWords)), dtype=int)

    for unique in range(0, len(uniqueWords)):
        try:
            oldCounts[unique] = olddict[olddict_words.index(uniqueWords[unique])][1]
        except ValueError:
            oldCounts[unique] = 0
        counter = 0
        get_index = completeUniques.index(uniqueWords[unique])
        for word in range(0, len(splitString)):
            if uniqueWords[unique] == splitString[word]:
                counter += 1
                completereadCounts[get_index] += 1
            else:
                pass
        readCounts[unique] = counter

    #Rawlings number section
    #RawlingsNumber: number between 0 and 1 which predicts how difficult text will be,
    #+=(Wx/Wa)*(Wd/cap)
    #Wx = number of times a certain word appears in the text
    #Wa = number of total words in the text
    #Wd = number of unique words in the user's dictionary
    #cap = number that predicts threshold for known words
    #in the Rawlings number, Wd/cap can't be greater than 1, so Wd is capped by the denominator
    #cap = We/Wd
    #We = total number of words the user has input into dictionary
    #cap proportion ensures that the RawlingsNumber scales with user's vocab size
    print np.sum(olddictCounts),len(olddict)
    CappingValue = np.sum(olddictCounts)/len(olddict)
    print CappingValue
    RawlingsNumber = 0.0
    for unique in range(0, len(uniqueWords)):
        try:
            wd = olddict[olddict_words.index(uniqueWords[unique])][1]
        except ValueError:
            wd = 0
        if wd > CappingValue:
            wd = CappingValue
        else:
            pass
        RawlingsNumber += float((readCounts[unique])/float(np.sum(readCounts)))*(wd/CappingValue)


    slope, intercept, r_value, p_value, std_err = stats.linregress(readCounts,oldCounts)
    # 'Rawlings number = ' + RawlingsNumber + 'Linear Correlation Coeff = ' + r_value
    plt.plot((readCounts/float(np.sum(readCounts))), (oldCounts/float(np.sum(oldCounts))),'bs')
    plt.xlabel('Frequency of Word in Document')
    plt.ylabel('Frequency of Word in Learning Database')
    plt.text(0, np.max(oldCounts/np.sum(oldCounts)), 'Rawlings Number = ' + str(RawlingsNumber) + '\n R =' + str(r_value), fontsize=15) #+ str(p_value)+ str(std_err)
    today = datetime.date.today()
    file_name = str(today) + '__' + str(time.time()) + 'freq_compare' + ".png"
    plt.savefig(file_name)
    plt.close()


    return RawlingsNumber, r_value

def analyze_word_frequency(databaseinput):
    # import the learner's database
    with codecs.open(databaseinput, "r", encoding="utf-8") as f:
        learnersDatabase = f.read()
    olddict = learnersDatabase.split("\n")  # converts file into list according to line breaks
    olddictCounts = np.zeros((len(olddict)))  # a numpy array storing just the count data from the old dictionary
    for word in range(0, len(olddict) - 1):  # goes through line by line and splits according to data type
        olddict[word] = olddict[word].split(", ")
        olddict[word][1] = int(olddict[word][1])  # converts the string data into an integer data type
        olddictCounts[word] = olddict[word][1]  # sets numpy value to the same integer as above line


    logreadcounts = np.log(olddictCounts)
    linear_series= np.linspace(1,len(olddictCounts),len(olddictCounts))
    log_series = np.log(linear_series)
    slope, intercept, r_value, p_value, std_err = stats.linregress(log_series, logreadcounts)
    plt.scatter(log_series, logreadcounts, c='black',marker='o')
    plt.xlabel('log rank')
    plt.ylabel('log frequency')
    # plt.text(0,0 ,'slope: ' + str(slope) + '\n R =' + str(r_value),fontsize=15)  # + str(p_value)+ str(std_err)
    today = datetime.date.today()
    file_name = str(today) + '__' + str(time.time()) + str(databaseinput) + ".png"
    plt.savefig(file_name)
    plt.close()

def find_nearest(array,value):
    idx = (np.abs(array-value)).argmin()
    return array[idx], idx

def get_databaselogranks_of_readinput(readinput, databaseinput,destination_path):
    with codecs.open(readinput,"r",encoding="utf-8") as f:
        readString = f.read()

    textname_split = delimit_file_text(readinput)
    replacedString, splitString, merge_words_digrams_trigrams = delimit_text(readString)

    uniqueWords = list(set(splitString))

    # import the learner's database
    # import the learner's database
    with codecs.open(databaseinput, "r", encoding="utf-8") as f:
        learnersDatabase = f.read()
    olddict = learnersDatabase.split("\n")  # converts file into list according to line breaks
    olddictCounts = np.zeros((len(olddict)))  # a numpy array storing just the count data from the old dictionary
    olddictCounts = np.zeros((len(olddict)))  # a numpy array storing just the count data from the old dictionary
    for word in range(0, len(olddict) - 1):  # goes through line by line and splits according to data type
        olddict[word] = olddict[word].split(", ")
        olddict[word][1] = int(olddict[word][1])  # converts the string data into an integer data type
        olddictCounts[word] = olddict[word][1]  # sets numpy value to the same integer as above line
    logreadcounts = np.log(olddictCounts)
    linear_series= np.linspace(1,len(olddictCounts),len(olddictCounts))
    log_series = np.log(linear_series)
    olddict_words = [0]*len(olddict)  # creates a single array with just the words from old dict
    uniques_logranks = np.zeros((len(uniqueWords)))
    for i in range(0, len(olddict)-1):
        olddict_words[i] = olddict[i][0]
    log_dictionary = dict(zip(olddict_words, log_series))
    for unique in range(0, len(uniqueWords)):
        uniques_logranks[unique] = log_dictionary[uniqueWords[unique]]

    average_logrank_of_input = np.average(uniques_logranks)

    n, bins, patches = plt.hist(uniques_logranks, 100, facecolor='k', alpha=0.75)
    plt.xlabel('Database log rank')
    plt.ylabel('Number of Unique Words in the Text')
    plt.title(str(readinput))
    plt.grid(True)
    today = datetime.date.today()
    file_name = destination_path + '/' + str(today) + '__' + str(time.time()) + 'rankdist' + ".png"
    plt.savefig(file_name)
    plt.close()

    ### output a word list for each bin defined by a log rank interval
    for rank in range(5, int(np.floor(np.max(log_series)))):
        # print rank
        bin_value_upper, index_upper = find_nearest(bins,rank+1)

        bin_value_lower, index_lower = find_nearest(bins, rank)
        sum_between = np.sum(n[index_lower:index_upper])
        sum_below = np.sum(n[:index_lower])
        word_indices = uniques_logranks.argsort()[sum_below:sum_below+sum_between]
        word_file_name = destination_path + '/' + str(today) + '__' + str(time.time()) + 'interval_words'+ str(rank) + textname_split[
            -2] + ".txt"
        # print bin_value_upper, index_upper, bin_value_lower, index_lower, 'sumbelow',sum_between, sum_below
        words_file = io.open(word_file_name, mode="w", encoding="utf-8")
        for i in word_indices:
            # print uniqueWords[i]
            words_file.write(uniqueWords[i] + "; ")
        words_file.close()


    mode_bin = bins[np.argmax(n)] #the log rank value of the mode/peak of the histogram - better metric than mean?
    sum_above_mode = np.sum(n[np.argmax(n):]) #the number of counts above the mode found by summing the contents of all bins above it

    ind = uniques_logranks.argsort()[sum_above_mode:] # indices of the hardest words, those that occur above the mode
    word_file_name = destination_path + '/' + str(today) + '__' + str(time.time()) + 'hard_words' + textname_split[-2] + ".txt"

    hard_words_file = io.open(word_file_name, mode="w", encoding="utf-8")
    for i in ind:
        # print uniqueWords[i]
        hard_words_file.write(uniqueWords[i]+"; ")
    hard_words_file.close()
    print 'average log rank:', average_logrank_of_input
    return average_logrank_of_input